from typing import Dict

from core import Request, Response
from bank_protocol.exceptions import InvalidRequest

def bank_code(request: Request, config: Dict) -> Response:
    if request.body is not None:
        raise InvalidRequest("Incorrect usage")

    return config["ip"]

__all__ = ["bank_code"]
